cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/performance/muscle-heatmap" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/performance/muscle-heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/performance/muscle-heatmap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"range": {
"startDate": "2026-04-12T10:00:00.000Z",
"endDate": "2026-04-12T10:00:00.000Z",
"days": 7
},
"total": {
"raw": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"normalized": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"maxValue": 18,
"topMuscles": [
{
"muscle": "chest",
"value": 18
}
]
},
"daily": [
{
"date": "2026-04-12",
"raw": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"normalized": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"maxValue": 12,
"topMuscles": [
{
"muscle": "chest",
"value": 18
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Summaries and rankings
Get workout muscle-activation heatmap
Requires the workout_progress:read scope and the corresponding Workout features and permissions.
GET
/
public
/
v1
/
workout
/
performance
/
muscle-heatmap
cURL
curl -X GET "https://api.fitsociety.io/public/v1/workout/performance/muscle-heatmap" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/workout/performance/muscle-heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/performance/muscle-heatmap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"range": {
"startDate": "2026-04-12T10:00:00.000Z",
"endDate": "2026-04-12T10:00:00.000Z",
"days": 7
},
"total": {
"raw": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"normalized": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"maxValue": 18,
"topMuscles": [
{
"muscle": "chest",
"value": 18
}
]
},
"daily": [
{
"date": "2026-04-12",
"raw": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"normalized": {
"chest": 18,
"shoulders": 12,
"triceps": 8
},
"maxValue": 12,
"topMuscles": [
{
"muscle": "chest",
"value": 18
}
]
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}